
# To recompile run this script or with:
# mkimage -C none -A arm -T script -d boot.cmd boot.scr

setenv fsck.repair yes
setenv ramdisk /altboot/initrd.img-4.11.2
setenv kernel /altboot/linux-4.11.2

setenv env_addr 0x45000000
setenv kernel_addr 0x46000000
setenv ramdisk_addr 0x48000000
setenv dtb_addr 0x4a000000

fatload mmc 0 ${kernel_addr} ${kernel}
fatload mmc 0 ${ramdisk_addr} ${ramdisk}
fatload mmc 0 ${dtb_addr} /altboot/sun50i-h5-unipi-axon.dtb
fdt addr ${dtb_addr}

fdt resize 
# enable/disable wifi
fdt set /soc/mmc@01c10000/bcrmf@1 status "okay"
fdt set /soc/mmc@01c10000 status "okay"
#fdt set /rfkill_bt status "okay"


fdt set /soc/spi@01c68000/spidev@0 status "okay"
fdt set /soc/spi@01c68000/unipispi@0 status "disabled"
fdt set /soc/spi@01c68000/neuronspi@0 status "disabled"
fdt set /soc/spi@01c68000/neuronspi@1 status "disabled"
fdt set /soc/spi@01c68000/neuronspi@2 status "disabled"

#userbutton as rfkill
fdt set /gpio-keys/userbutton status "disabled"


# setup MAC address 
fdt set ethernet0 local-mac-address ${mac_node}

# setup boot_device
fdt set mmc${boot_mmc} boot_device <1>

## disable 485 mode in case of console on ttyS0 
fdt rm /soc/serial@01c28000 linux,rs485-enabled-at-boot-time

#setenv bootargs console=tty0 root=/dev/mmcblk0p2 rootfstype=ext4 rw rootwait fsck.repair=${fsck.repair} panic=10 ${extra} quiet
setenv bootargs console=ttyS0,115200 earlyprintk root=/dev/ram0 ${extra} quiet
#setenv bootargs console=ttyS0,115200 root=/dev/nfs nfsroot=192.168.1.254:/opt/nfs/nanopi rw ip=dhcp rootwait panic=30 ${extra} verbose loglevel=15

booti ${kernel_addr} ${ramdisk_addr}:2000000 ${dtb_addr}
